Index: trunk/examples/extended/electromagnetic/TestEm7/src/PhysListEmStandardSS.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/PhysListEmStandardSS.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/PhysListEmStandardSS.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysListEmStandardSS.cc,v 1.5 2008/01/14 12:11:39 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysListEmStandardSS.cc,v 1.8 2008/11/16 19:17:39 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -38,5 +38,5 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
+#include "G4CoulombScattering.hh"
 
 #include "G4eIonisation.hh"
@@ -50,7 +50,6 @@
 #include "G4hIonisation.hh"
 #include "G4ionIonisation.hh"
-#include "G4ionGasIonisation.hh"
-#include "G4IonFluctuations.hh"
-#include "G4CoulombScattering.hh"
+
+#include "G4EmProcessOptions.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -85,50 +84,61 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4eIonisation,        -1, 1,1);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 2,2);
       pmanager->AddDiscreteProcess(new G4CoulombScattering);      
+      pmanager->AddProcess(new G4eIonisation,        -1, 1, 1);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 2, 2);
 	    
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4eIonisation,        -1, 1,1);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 2,2);
-      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1,3);
       pmanager->AddDiscreteProcess(new G4CoulombScattering);      
+      pmanager->AddProcess(new G4eIonisation,        -1, 1, 1);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 2, 2);
+      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1, 3);
             
     } else if (particleName == "mu+" || 
                particleName == "mu-"    ) {
-      //muon  
-      pmanager->AddProcess(new G4MuIonisation,       -1, 1,1);
-      pmanager->AddProcess(new G4MuBremsstrahlung,   -1, 2,2);
-      pmanager->AddProcess(new G4MuPairProduction,   -1, 3,3);
-      pmanager->AddDiscreteProcess(new G4CoulombScattering);      
+      //muon
+      pmanager->AddDiscreteProcess(new G4CoulombScattering);        
+      pmanager->AddProcess(new G4MuIonisation,       -1, 1, 1);
+      pmanager->AddProcess(new G4MuBremsstrahlung,   -1, 2, 2);
+      pmanager->AddProcess(new G4MuPairProduction,   -1, 3, 3);
              
-    } else if (particleName == "alpha" || particleName == "He3") {
-      G4ionIonisation* ion = new G4ionIonisation();
-      ion->SetStepFunction(0.1, um);
-      ion->ActivateNuclearStopping(false);
-      pmanager->AddProcess(ion,  -1, 1,1);
-      pmanager->AddDiscreteProcess(new G4CoulombScattering);      
-
-    } else if (particleName == "GenericIon" ) { 
-      G4ionGasIonisation* ion = new G4ionGasIonisation();
-      ion->ActivateNuclearStopping(false);
-      ion->SetStepFunction(0.1, um);
-      pmanager->AddProcess(ion,  -1, 1,1);
-      G4CoulombScattering* cs = new G4CoulombScattering();
-      cs->SetBuildTableFlag(false);
-      pmanager->AddDiscreteProcess(cs);
-      
+    } else if (particleName == "alpha" || 
+	       particleName == "He3" ||
+               particleName == "GenericIon") {
+      pmanager->AddDiscreteProcess(new G4CoulombScattering);	       
+      pmanager->AddProcess(new G4ionIonisation,      -1, 1, 1);
+     
     } else if ((!particle->IsShortLived()) &&
 	       (particle->GetPDGCharge() != 0.0) && 
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      G4hIonisation* hion = new G4hIonisation();
-      hion->SetStepFunction(0.1, 10.*um);
-      hion->ActivateNuclearStopping(false);
-      pmanager->AddProcess(hion,  -1,1,1);
       pmanager->AddDiscreteProcess(new G4CoulombScattering);      
+      pmanager->AddProcess(new G4hIonisation,        -1, 1, 1);
     }
   }
+  
+  // Em options
+  //
+  // Main options and setting parameters are shown here.
+  // Several of them have default values.
+  //
+  G4EmProcessOptions emOptions;
+  
+  //physics tables
+  //
+  emOptions.SetMinEnergy(100*eV);	//default    
+  emOptions.SetMaxEnergy(100*TeV);	//default  
+  emOptions.SetDEDXBinning(12*20);	//default=12*7  
+  emOptions.SetLambdaBinning(12*20);	//default=12*7
+  emOptions.SetSplineFlag(true);	//default
+      
+  //energy loss
+  //
+  emOptions.SetStepFunction(0.2,50*um);	//default=(0.2, 1*mm)   
+  emOptions.SetLinearLossLimit(1.e-2);	//default
+   
+  //ionization
+  //
+  emOptions.SetSubCutoff(false);	//default    
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.28 2008/01/14 12:11:39 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: PhysicsList.cc,v 1.36 2008/11/21 12:53:13 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,5 +35,4 @@
 #include "PhysListEmStandard.hh"
 #include "PhysListEmStandardSS.hh"
-#include "PhysListEmStandardIG.hh"
 #include "PhysListEmStandardNR.hh"
 #include "PhysListEmLivermore.hh"
@@ -42,4 +41,7 @@
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
+#include "G4EmStandardPhysics_option3.hh"
+
+#include "G4DecayPhysics.hh"
 
 #include "G4HadronElasticPhysics.hh"
@@ -50,6 +52,4 @@
 #include "G4IonBinaryCascadePhysics.hh"
 
-#include "G4EmProcessOptions.hh"
-
 #include "G4LossTableManager.hh"
 #include "G4UnitsTable.hh"
@@ -57,4 +57,9 @@
 #include "G4ProcessManager.hh"
 #include "G4Decay.hh"
+
+#include "StepMax.hh"
+
+#include "G4IonFluctuations.hh"
+#include "G4IonParametrisedLossModel.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -79,6 +84,9 @@
 
   // EM physics
-  emPhysicsList = new PhysListEmStandard(emName = "standard");
-
+  emPhysicsList = new G4EmStandardPhysics(1);
+  emName = G4String("emstandard");
+
+  // Deacy physics and all particles
+  decPhysicsList = new G4DecayPhysics();
 }
 
@@ -89,29 +97,7 @@
   delete pMessenger;
   delete emPhysicsList;
-  for(size_t i=0; i<hadronPhys.size(); i++) delete hadronPhys[i];
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-// Bosons
-#include "G4ChargedGeantino.hh"
-#include "G4Geantino.hh"
-#include "G4Gamma.hh"
-
-// leptons
-#include "G4MuonPlus.hh"
-#include "G4MuonMinus.hh"
-#include "G4NeutrinoMu.hh"
-#include "G4AntiNeutrinoMu.hh"
-
-#include "G4Electron.hh"
-#include "G4Positron.hh"
-#include "G4NeutrinoE.hh"
-#include "G4AntiNeutrinoE.hh"
-
-// Hadrons
-#include "G4MesonConstructor.hh"
-#include "G4BaryonConstructor.hh"
-#include "G4IonConstructor.hh"
+  delete decPhysicsList;
+  for(size_t i=0; i<hadronPhys.size(); i++) {delete hadronPhys[i];}
+}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -119,36 +105,9 @@
 void PhysicsList::ConstructParticle()
 {
-// pseudo-particles
-  G4Geantino::GeantinoDefinition();
-  G4ChargedGeantino::ChargedGeantinoDefinition();
-  
-// gamma
-  G4Gamma::GammaDefinition();
-  
-// leptons
-  G4Electron::ElectronDefinition();
-  G4Positron::PositronDefinition();
-  G4MuonPlus::MuonPlusDefinition();
-  G4MuonMinus::MuonMinusDefinition();
-
-  G4NeutrinoE::NeutrinoEDefinition();
-  G4AntiNeutrinoE::AntiNeutrinoEDefinition();
-  G4NeutrinoMu::NeutrinoMuDefinition();
-  G4AntiNeutrinoMu::AntiNeutrinoMuDefinition();  
-
-// mesons
-  G4MesonConstructor mConstructor;
-  mConstructor.ConstructParticle();
-
-// barions
-  G4BaryonConstructor bConstructor;
-  bConstructor.ConstructParticle();
-
-// ions
-  G4IonConstructor iConstructor;
-  iConstructor.ConstructParticle();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+  decPhysicsList->ConstructParticle();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
 void PhysicsList::ConstructProcess()
 {
@@ -160,34 +119,18 @@
   //
   emPhysicsList->ConstructProcess();
+  em_config.AddModels();
+
+  // decay physics list
+  //
+  decPhysicsList->ConstructProcess();
   
   // hadronic physics lists
-  for(size_t i=0; i<hadronPhys.size(); i++) hadronPhys[i]->ConstructProcess();
-  
-  // decay process
-  //
-  G4Decay* fDecayProcess = new G4Decay();
-
-  theParticleIterator->reset();
-  while( (*theParticleIterator)() ){
-    G4ParticleDefinition* particle = theParticleIterator->value();
-    G4ProcessManager* pmanager = particle->GetProcessManager();
-
-    if (fDecayProcess->IsApplicable(*particle) && !particle->IsShortLived()) { 
-
-      pmanager ->AddProcess(fDecayProcess);
-
-      // set ordering for PostStepDoIt and AtRestDoIt
-      pmanager ->SetProcessOrdering(fDecayProcess, idxPostStep);
-      pmanager ->SetProcessOrdering(fDecayProcess, idxAtRest);
-
-    }
+  for(size_t i=0; i<hadronPhys.size(); i++) {
+    hadronPhys[i]->ConstructProcess();
   }
   
   // step limitation (as a full process)
   //  
-  AddStepMax();
-  
-  G4EmProcessOptions opt;
-  opt.SetDEDXBinning(480);
+  AddStepMax();  
 }
 
@@ -196,5 +139,5 @@
 void PhysicsList::AddPhysicsList(const G4String& name)
 {
-  if (verboseLevel>-1) {
+  if (verboseLevel>1) {
     G4cout << "PhysicsList::AddPhysicsList: <" << name << ">" << G4endl;
   }
@@ -202,5 +145,5 @@
   if (name == emName) return;
 
-  if (name == "standard") {
+  if (name == "standard_local") {
 
     emName = name;
@@ -212,5 +155,5 @@
     emName = name;
     delete emPhysicsList;
-    emPhysicsList = new G4EmStandardPhysics();
+    emPhysicsList = new G4EmStandardPhysics(1);
 
   } else if (name == "emstandard_opt1") {
@@ -225,4 +168,10 @@
     delete emPhysicsList;
     emPhysicsList = new G4EmStandardPhysics_option2();
+    
+  } else if (name == "emstandard_opt3") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();    
 
   } else if (name == "standardSS") {
@@ -238,9 +187,14 @@
     emPhysicsList = new PhysListEmStandardNR(name);
 
-  } else if (name == "standardIG") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmStandardIG(name);
+  } else if (name == "standardICRU73") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard(name);
+    em_config.SetExtraEmModel("GenericIon","ionIoni",
+			      new G4IonParametrisedLossModel(),
+			      "",0.0, 100.0*TeV,
+			      new G4IonFluctuations());
+    G4cout << "standardICRU73" << G4endl;
 
   } else if (name == "livermore") {
@@ -288,6 +242,4 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-#include "StepMax.hh"
-
 void PhysicsList::AddStepMax()
 {
@@ -297,11 +249,11 @@
   theParticleIterator->reset();
   while ((*theParticleIterator)()){
-      G4ParticleDefinition* particle = theParticleIterator->value();
-      G4ProcessManager* pmanager = particle->GetProcessManager();
-
-      if (stepMaxProcess->IsApplicable(*particle) && pmanager)
-        {
-	  pmanager ->AddDiscreteProcess(stepMaxProcess);
-        }
+    G4ParticleDefinition* particle = theParticleIterator->value();
+    G4ProcessManager* pmanager = particle->GetProcessManager();
+
+    if (stepMaxProcess->IsApplicable(*particle) && pmanager)
+      {
+	pmanager ->AddDiscreteProcess(stepMaxProcess);
+      }
   }
 }
Index: trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2006/06/29 16:58:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.2 2006/06/29 16:58:39 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.3 2006/06/29 16:58:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.21 2008/01/14 12:11:39 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: RunAction.cc,v 1.24 2008/08/22 18:30:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -42,8 +42,5 @@
 
 #include "Randomize.hh"
-
-#ifdef G4ANALYSIS_USE
-#include "AIDA/AIDA.h"
-#endif
+#include "Histo.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -51,19 +48,13 @@
 RunAction::RunAction(DetectorConstruction* det, PhysicsList* phys,
                      PrimaryGeneratorAction* kin)
-:detector(det), physics(phys), kinematic(kin), af(0), tree(0)
+:detector(det), physics(phys), kinematic(kin)
 { 
   tallyEdep = new G4double[MaxTally];
   binLength = offsetX = 0.;
-  histo[0] = 0;
-  
-#ifdef G4ANALYSIS_USE
-  // Creating the analysis factory
-  af = AIDA_createAnalysisFactory();
-  if(!af) {
-    G4cout << "RunAction::RunAction() :" 
-	   << " problem creating the AIDA analysis factory."
-	   << G4endl;
-  } 	   
-#endif  
+  histo = new Histo();
+  histo->setFileName("testem7");
+  histo->add1D("1","Edep (MeV/mm) along absorber (mm)", 100, 0, 100);
+  histo->add1D("2","Edep (MeV/mm) along absorber zoomed (mm)", 100, 0, 100);
+  histo->add1D("3","Projectile range (mm)", 100, 0, 100);
 }
 
@@ -73,63 +64,5 @@
 {
   delete [] tallyEdep;
-  
-#ifdef G4ANALYSIS_USE
-  delete af;  
-#endif      
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void RunAction::bookHisto()
-{
-  length  = detector->GetAbsorSizeX();
-  G4double stepMax = physics->GetStepMaxProcess()->GetMaxStep();
-  const G4int nbmin = 100;
-  G4int nbBins = (int)(0.5 + length/stepMax);
-  if (nbBins < nbmin) nbBins = nbmin;
-  binLength = length/nbBins;
-  offsetX   = 0.5*length;
- 
-#ifdef G4ANALYSIS_USE
-  if (!af) return;
-
-  // Create a tree mapped to an hbook file.
-  G4bool readOnly  = false;
-  G4bool createNew = true;
-  G4String options = "--noErrors uncompress";
-  AIDA::ITreeFactory* tf  = af->createTreeFactory();  
-  tree = tf->create("testem7.hbook","hbook", readOnly, createNew, options);
-  //tree = tf->create("testem7.root", "root",readOnly, createNew, options);
-  //tree = tf->create("testem7.XML" , "XML" ,readOnly, createNew, options);
-  delete tf;
-  if (!tree) {
-    G4cout << "RunAction::bookHisto()" << G4endl;
-    return;
-  }
-
-  // Create a histogram factory, whose histograms will be handled by the tree
-  AIDA::IHistogramFactory* hf = af->createHistogramFactory(*tree);
-  
-  // Create histogram
-  histo[0] = hf->createHistogram1D("1","Edep (MeV/mm) along absorber (mm)",
-             nbBins, 0, length/mm);
-	     
-  delete hf;	     
-  G4cout << "\n----> Histogram Tree opened" << G4endl;
-#endif
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void RunAction::cleanHisto()
-{
-#ifdef G4ANALYSIS_USE
-  tree->commit();       // Writing the histograms to the file
-  tree->close();        // and closing the tree (and the file)
-  delete tree;
-  tree = 0;
-  
-  G4cout << "\n----> Histogram Tree saved" << G4endl;  
-#endif
+  delete histo;  
 }
 
@@ -138,7 +71,5 @@
 void RunAction::FillHisto(G4int ih, G4double x, G4double weight)
 {
-#ifdef G4ANALYSIS_USE
-  if(histo[ih]) histo[ih]->fill(x, weight);
-#endif
+  histo->fill(ih, x, weight);
 }
 
@@ -156,9 +87,24 @@
   //
   nPrimarySteps = 0;
+  nRange = 0;
   projRange = projRange2 = 0.;
   edeptot = eniel = 0.;
   for (G4int j=0; j<MaxTally; j++) tallyEdep[j] = 0.;
   kinematic->ResetEbeamCumul();
-  bookHisto();      
+
+  // define "1" histogram binning
+  length  = detector->GetAbsorSizeX();
+  G4double stepMax = physics->GetStepMaxProcess()->GetMaxStep();
+  const G4int nbmin = 100;
+  G4int nbBins = (G4int)(0.5 + length/stepMax);
+  if (nbBins < nbmin) nbBins = nbmin;
+  binLength = length/nbBins;
+  offsetX   = 0.5*length;
+   
+  // histogram "1" is defined by the length of the target
+  // zoomed histograms are defined by UI command
+  histo->setHisto1D(0, nbBins, 0, length, mm);
+ 
+  histo->book();
 }
 
@@ -186,5 +132,8 @@
   //compute projected range and straggling
   //
-  projRange /= NbofEvents; projRange2 /= NbofEvents;
+  if(nRange > 0) {
+    projRange /= nRange; 
+    projRange2 /= nRange;
+  }
   G4double rms = projRange2 - projRange*projRange;        
   if (rms>0.) rms = std::sqrt(rms); else rms = 0.;
@@ -227,13 +176,10 @@
   }
 
-#ifdef G4ANALYSIS_USE
   // normalize histogram
   G4double fac = (mm/MeV)/(NbofEvents *  binLength);
-  histo[0]->scale(fac);
-#endif
-  
+  for (G4int j=0; j<3; j++) {histo->scale(j, fac);}
  
   // save and clean histo
-  cleanHisto();
+  histo->save();
  
   // show Rndm status
Index: trunk/examples/extended/electromagnetic/TestEm7/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/StepMax.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.5 2006/06/29 16:58:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/StepMaxMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.3 2006/06/29 16:58:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/SteppingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.cc,v 1.12 2008/01/14 12:11:39 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: SteppingAction.cc,v 1.14 2008/08/22 18:30:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -51,28 +51,29 @@
 void SteppingAction::UserSteppingAction(const G4Step* aStep)
 {
- G4double edep = aStep->GetTotalEnergyDeposit();
- if (edep <= 0.) return;
+  G4double edep = aStep->GetTotalEnergyDeposit();
+  if (edep <= 0.) return;
 
- // G4cout << "edep= " << edep << "NIEL= " << aStep->GetNonIonizingEnergyDeposit()<<G4endl;
+  // G4cout << "edep= " << edep << "NIEL= " << aStep->GetNonIonizingEnergyDeposit()<<G4endl;
 
- runAction->FillEdep(edep,aStep->GetNonIonizingEnergyDeposit());
+  runAction->FillEdep(edep,aStep->GetNonIonizingEnergyDeposit());
 
- if(aStep->GetTrack()->GetTrackID() == 1) runAction->AddPrimaryStep();  
+  if(aStep->GetTrack()->GetTrackID() == 1) runAction->AddPrimaryStep();  
  
- //Bragg curve
- //	
- G4StepPoint* prePoint  = aStep->GetPreStepPoint();
- G4StepPoint* postPoint = aStep->GetPostStepPoint();
+  //Bragg curve
+  //	
+  G4StepPoint* prePoint  = aStep->GetPreStepPoint();
+  G4StepPoint* postPoint = aStep->GetPostStepPoint();
    
- G4double x1 = prePoint->GetPosition().x(), x2 = postPoint->GetPosition().x();  
- G4double x = runAction->GetOffsetX() + x1 + G4UniformRand()*(x2-x1);
- runAction->FillHisto(0, x/mm , edep);
+  G4double x1 = prePoint->GetPosition().x(), x2 = postPoint->GetPosition().x();  
+  G4double x = runAction->GetOffsetX() + x1 + G4UniformRand()*(x2-x1);
+  runAction->FillHisto(0, x/mm , edep);
+  runAction->FillHisto(1, x/mm , edep);
 
- //fill tallies
- //
- G4TouchableHandle touchable = prePoint->GetTouchableHandle();
- G4LogicalVolume* lVolume = touchable->GetVolume()->GetLogicalVolume();
- if (lVolume == detector->GetLogicalTally())
-     runAction->FillTallyEdep(touchable->GetCopyNumber(), edep);
+  //fill tallies
+  //
+  G4TouchableHandle touchable = prePoint->GetTouchableHandle();
+  G4LogicalVolume* lVolume = touchable->GetVolume()->GetLogicalVolume();
+  if (lVolume == detector->GetLogicalTally())
+    runAction->FillTallyEdep(touchable->GetCopyNumber(), edep);
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm7/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.3 2006/06/29 16:58:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/src/TrackingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm7/src/TrackingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: TrackingAction.cc,v 1.3 2006/11/22 17:58:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: TrackingAction.cc,v 1.5 2008/08/22 18:30:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -50,5 +50,8 @@
     G4double x = aTrack->GetPosition().x() + runAction->GetOffsetX();
     if(x > runAction->GetLength()) x = runAction->GetLength(); 
-    runAction->AddProjRange(x);
+    //G4cout << " range= " << x << " x= " << aTrack->GetPosition().x()
+    //	   << " ofset= " << runAction->GetOffsetX() << G4endl;
+    if(x > 0.0) runAction->AddProjRange(x);
+    runAction->FillHisto(2, x/mm, 1.0);
   }  
 }
Index: trunk/examples/extended/electromagnetic/TestEm8/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.7 2006/10/26 16:20:33 maire Exp $
+# $Id: GNUmakefile,v 1.8 2008/06/11 22:27:45 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -15,15 +15,7 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
+#### G4ANALYSIS_USE := true
 
 include $(G4INSTALL)/config/architecture.gmk
 
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
-
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TestEm8.cc,v 1.8 2007/07/27 15:29:38 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorHit.hh,v 1.4 2006/06/29 16:58:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorimeterSD.hh,v 1.4 2006/06/29 16:59:01 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorConstruction.hh,v 1.9 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorMessenger.hh,v 1.6 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventAction.hh,v 1.4 2006/06/29 16:59:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventActionMessenger.hh,v 1.4 2006/06/29 16:59:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorAction.hh,v 1.4 2006/06/29 16:59:12 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorMessenger.hh,v 1.4 2006/06/29 16:59:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunAction.hh,v 1.8 2006/06/29 16:59:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh	(revision 1230)
@@ -27,5 +27,5 @@
 //
 // $Id: Em8RunMessenger.hh,v 1.4 2006/06/29 16:59:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingAction.hh,v 1.5 2006/06/29 16:59:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
